#!/bin/sh

BACKUP=$HOME/backup_pup_event
[ -d "$BACKUP" ] && echo "warning: already installed, CTRL+C to abort" && sleep 10

backup_func() {
	mkdir -p $BACKUP 2>/dev/null
	for i in pup_event* frontend* drive_all probepart;do
	  find /sbin /usr/local -type f -name "$i" -exec cp -a '{}' $HOME/backup_pup_event \;
	done
}
install_func() {
	for j in pup_event_frontend_d* frontend*;do
	  cp -af $j /usr/local/pup_event/
	done
	cp -af drive_all /usr/local/bin
	cp -af pup_event_ipc /sbin/
	cp -af probepart /sbin/
}
restore_func() {
	[ ! -d "$BACKUP" ] && echo "no backup, exiting" && exit
	for j in pup_event_frontend_d* frontend*;do
	  cp -af $BACKUP/$j /usr/local/pup_event/
	done
	cp -af $BACKUP/drive_all /usr/local/bin
	cp -af $BACKUP/pup_event_ipc /sbin/
	cp -af $BACKUP/probepart /sbin/
}

case "$1" in
  restore) restore_func ;;
  *)backup_func ; install_func; echo "installed" ;;
esac
